//
//  AutoLayoutView.m
//  BeautifulWardrobe
//
//  Created by mac on 16-4-3.
//  Copyright (c) 2016年 zhiyou. All rights reserved.
//

#import "AutoLayoutView.h"
@implementation AutoLayoutView


//自动折行
- (id)initWithArray:(NSArray *)array
{
    self = [super init];
    if (self) {
        x = 10;
        y= 20;
        
        for (NSString *str in array) {
            
            CGRect rect = [str boundingRectWithSize:CGSizeMake(1000, 30) options:NSStringDrawingTruncatesLastVisibleLine|NSStringDrawingUsesLineFragmentOrigin attributes:@{NSFontAttributeName: [UIFont systemFontOfSize:15]} context:nil];
            
            float width = rect.size.width+30;
            
            self.button = [[CustomButton alloc]initWithFrame:CGRectMake(x, y, width, 30)];
            
            float maxX = CGRectGetMaxX(self.button.frame);
            
            if (maxX>=310) {
                x = 10;
                y = y+40;
                self.button.frame = CGRectMake(x, y, width, 30);
            }
            else {
                self.button.frame = CGRectMake(x, y,width, 30);
            }
            
            self.button.layer.borderColor = [UIColor grayColor].CGColor;//边框颜色,要为CGColor
            self.button.layer.borderWidth = 0.5;//边框宽度
            [self.button setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
            
            [self.button setTitle:str forState:UIControlStateNormal];
            self.button.titleLabel.font = [UIFont systemFontOfSize:15];
            recordStr = str;
            [self addSubview:self.button];
            x+=width+10;
        }
        self.maxY = y+30;
    }
    return self;
}

@end
