//
//  ViewController.m
//  SelectProductInfo
//
//  Created by mac on 16-4-14.
//  Copyright (c) 2016年 zhiyou. All rights reserved.
//

#import "ViewController.h"
#import "DataModel.h"
#import "AutoLayoutView.h"
#import "ConfirmBuyView.h"
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    
    [super viewDidLoad];
    [self create];
    
}
- (void)create {
    
    UIButton *button = [UIButton buttonWithType:UIButtonTypeCustom];
    button.backgroundColor = [UIColor cyanColor];
    button.frame = CGRectMake(0, 100, 120, 50);
    [button addTarget:self action:@selector(buttonClick) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button];
}
- (void)buttonClick {
    //对数据进行分类  不同的颜色放到同一个数组中,不同的尺码放到同一个数组中
    NSArray *array = [self getDic][@"info"];
    NSMutableArray *colorArray = [NSMutableArray array];
    NSMutableArray *sizeArray  = [NSMutableArray array];
    NSMutableArray *modelArray = [NSMutableArray array];
    for (NSDictionary *dic in array) {
        
        if (![colorArray containsObject:dic[@"color"]]) {
            
            [colorArray addObject:dic[@"color"]];
        }
        if (![sizeArray containsObject:dic[@"size"]]) {
            
            [sizeArray addObject:dic[@"size"]];
        }
        DataModel *model = [DataModel new];
        [model setValuesForKeysWithDictionary:dic];
        [modelArray addObject:model];
    }

    
    ConfirmBuyView *infoView = [[ConfirmBuyView alloc]initWithFrame:self.view.bounds];
    infoView.styleArray = colorArray;
    infoView.sizeArray  = sizeArray;
    infoView.infoArray  = modelArray;
    [self.view addSubview:infoView];
    
    UIView *view = [infoView viewWithTag:1000];
    [UIView animateWithDuration:0.5 animations:^{
        view.frame = CGRectMake(0, self.view.bounds.size.height-280,self.view.bounds.size.width, 280);
    }];
}
//模拟数据源
- (NSDictionary *)getDic {
    
    NSDictionary *dic = @{@"info":
  @[
  @{@"color":@"白色",@"size":@"S",@"quantity":@"78"},
  @{@"color":@"白色",@"size":@"L",@"quantity":@"50"},
  @{@"color":@"白色",@"size":@"XL",@"quantity":@"100"},
  @{@"color":@"白色",@"size":@"XXL",@"quantity":@"60"},
  @{@"color":@"黄色",@"size":@"S",@"quantity":@"0"},
  @{@"color":@"黄色",@"size":@"L",@"quantity":@"100"},
  @{@"color":@"黄色",@"size":@"XL",@"quantity":@"0"},
  @{@"color":@"黄色",@"size":@"XXL",@"quantity":@"99"}
  ]
  };
    return dic;
    
}
@end
